Bug 677850 - (CVE-2011-0710) CVE-2011-0710 kernel: s390 task_show_regs infoleak
CVE-2011-0710 kernel: s390 task_show_regs infoleak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110215,reported=20110216,sou...
: Security
Depends On: 677852 677853 677854 677855
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 23:02 EST by Eugene Teo (Security Response)
Modified: 2015-08-19 05:06 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-02-15 23:02:39 EST
task_show_regs used to be a debugging aid in the early bringup days of Linux on s390. /proc/<pid>/status is a world readable file, it is not a good idea to show the registers of a process. The only correct fix is to remove task_show_regs.

Upstream commit:
http://git.kernel.org/linus/261cd298a8c363d7985e3482946edb4bfedacf98
Comment 3 Eugene Teo (Security Response) 2011-03-11 01:21:59 EST
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise MRG as it does not have support for the S390 architecture. A future kernel update in Red Hat Enterprise Linux 6 may address this flaw. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle,
https://access.redhat.com/support/policy/updates/errata/, therefore the fix for
this issue is not currently planned to be included in the future updates. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-0429.html.
Comment 4 errata-xmlrpc 2011-04-07 22:57:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html
Comment 5 errata-xmlrpc 2011-04-12 14:20:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0429 https://rhn.redhat.com/errata/RHSA-2011-0429.html

Note You need to log in before you can comment on or make changes to this bug.